#ifndef __AMSCIMGLIB4_INTL_HPP__
#define __AMSCIMGLIB4_INTL_HPP__

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <string.h>
#include <ctype.h>

#include <amscimglib4/amscimglib4_tests.h>

#ifdef __cplusplus
extern "C" {  
#endif

//returns the size of a file using ANSI C
unsigned long amscimglib4_filesize(FILE *fp);

int amscimglib4_readbinfile(const char *fname, unsigned char *bytes, long bufflen, long *bytesread);

int amscimglib4_writebinfile(const char *fname, unsigned char *bytes, long bufflen);


#ifdef __cplusplus
}; //end extern "C"
#endif

#endif

